package com.kdanmobile.pdfreaderviewapp

import android.content.Intent
import android.os.Bundle
import com.kdanmobile.reader.thumb.PdfThumbActivity
import java.io.File

class MyPdfThumbActivity: PdfThumbActivity() {
    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
    }

    override fun canDelete() : Boolean{
        return true
    }

    override fun canExtract() : Boolean{
        return true
    }

    override fun canChangePage() : Boolean{
        return true
    }
    override fun provideIntent() :Intent{
        return  Intent(this, MyReaderActivity::class.java)
    }

    override fun getTrialDays(): Long{
        return 5566
    }

    override fun getHeight(): Int {
        return 0
    }

    override fun getWidth(): Int {
        return 0
    }

    override fun getPadding(): Int {
        return 0
    }

    override fun getColumns(): Int {
        return 0
    }

   override fun getCreateExtractBlankFile(pdfFilename: String, selectPage: String) : File{
       return File("5566")
   }

    override fun getSubscribeRunnable(): Runnable{
        return Runnable {
            TODO("not implemented") //To change body of created functions use File | Settings | File Templates.
        }
    }

}